# Packmangroup: Multimedia
# Packmanpackagename: fame
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Fast Assembly MPEG Encoder</p>
# Packmanpackagedesc_de: <p>Schneller Assembler MPEG Encoder</p>

Name:           fame
Summary:        Fast Assembly MPEG Encoder
Summary(de):    Schneller Assembler MPEG Encoder
Version:        0.9.0
Release:        8.2
License:        GPL v2 or later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://fame.sourceforge.net

Source0:        fame-0.9.0.tar.bz2

Patch0:         fame-0.9.0-fix-includes.patch
%if %suse_version > 1140
Patch1:         fame-0.9.0-fix-v4l-v2.patch
%endif
BuildRoot:      %{_tmppath}/%{name}-root
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
BuildRequires:  libfame-devel

%description
An MPEG encoder optimized for Pentium MMX technology.
It can capture video from various sources and create an MPEG video elementary
stream, which is then recorded in a file or sent over a network.
This is a beta release.

%description -l de
Ein MPEG Encoder, optimiert für die Pentium MMX Technologie.
Er kann Videos aus unterschiedlichen Quellen aufnehmen und einen elementaren
MPEG Video-Stream erzeugen, der dann in eine Datei gespeichert oder ins Netzwerk
übertragen wird.
Es handelt sich um eine Beta-Version.



%prep
%setup -n %{name}-%{version}
%patch0 -p1
%if %suse_version > 1140
%patch1 -p1
%endif

%build
# Needed for snapshot releases.
#export LDFLAGS="${LDFLAGS} -lm -lfame"
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir
fi

%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
make DESTDIR=%{buildroot} install

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING CHANGES BUGS README TODO
%{_bindir}/fame
%{_mandir}/man1/*

%changelog
* Sat Aug 22 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Thu Apr 24 2008 Manfred.Tremmel@iiv.de
- some cleanups
* Sat Nov 27 2004 detlef@dreichelt.de
- rebuild for x86_64
- add CFLAGS="$RPM_OPT_FLAGS" ./configure --libdir=/usr/lib64
* Thu Mar 27 2003 Manfred.Tremmel@iiv.de
- added packman headers
* Mon Oct  7 2002 corsepiu@faw.uni-ulm.de
- changed manpages-directory
* Tue Aug 21 2001 vivien.chappelier@enst-bretagne.fr
- updated to new release based on libfame
* Mon May 15 2000 ondrejj@salstar.shadow.sk
- added mpegnc binary
- added all modules in /usr/lib/fame/*/
